---
title: PaymentRequestEvent.modifiers
slug: Web/API/PaymentRequestEvent/modifiers
---
<p>{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>modifiers</code></strong> read-only property of the {{domxref("PaymentRequestEvent")}} interface returns an array of objects containing changes to payment details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>modifiers</em>[] = <em>paymentDetailsEvent</em>.modifiers</pre>

<h3 id="Value">Value</h3>

<p>An array of modifier objects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment Handler','#modifiers-attribute','modifiers')}}</td>
   <td>{{Spec2('Payment Handler')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PaymentRequestEvent.modifiers")}}</p>
